Skip to main content
POST
/
attestations
/
{org}
/
{flow_name}
/
trail
/
{trail_name}
/
override
Override attestation
curl --request POST \
  --url https://app.kosli.com/api/v2/attestations/{org}/{flow_name}/trail/{trail_name}/override \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attestation_name": "<string>",
  "reason": "<string>",
  "new_compliance_status": true,
  "original_attestation_type": "generic",
  "origin_url": "<string>",
  "description": "<string>",
  "artifact_fingerprint": "<string>",
  "target_artifacts": [
    "<string>"
  ],
  "git_commit_info": {
    "sha1": "<string>",
    "message": "<string>",
    "author": "<string>",
    "author_username": "<string>",
    "branch": "<string>",
    "timestamp": 123,
    "url": "<string>",
    "parents": [
      "<string>"
    ]
  },
  "repo_info": {
    "name": "<string>",
    "url": "<string>",
    "id": "<string>",
    "description": "<string>",
    "provider": "github"
  },
  "external_urls": {},
  "annotations": {},
  "user_data": {}
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
trail_name
string
required
org
string
required

Body

application/json
attestation_name
string
required
Pattern: ^[a-zA-Z0-9\-_,]+$
reason
string
required
new_compliance_status
boolean
required
original_attestation_type
required
Available options:
generic,
junit,
snyk,
pull_request,
jira,
sonar
origin_url
string | null
description
string | null
artifact_fingerprint
string | null
Pattern: ^[a-f0-9]{64}$
target_artifacts
string[] | null
Pattern: ^[a-zA-Z0-9\-_,]+$
git_commit_info
GitCommit · object
repo_info
RepoInfoPostInput · object
external_urls
External Urls · object
annotations
Annotations · object
user_data

Response

Successful Response

Last modified on April 9, 2026